using FluentValidation;

namespace Indotalent.Features.Purchase.PurchaseReturn.Cqrs;

public class CreatePurchaseReturnValidator : AbstractValidator<CreatePurchaseReturnRequest>
{
    public CreatePurchaseReturnValidator()
    {
        RuleFor(x => x.ReturnDate).NotEmpty().WithMessage("Return Date is required");
        RuleFor(x => x.GoodsReceiveId).NotEmpty().WithMessage("Goods Receive reference is required");
    }
}